#5 CentOS 5 support in barman.spec

1.x
closed
rpm (1)
2015-01-13
2012-08-03
lithium
No

Hello.
Under CentOS5 rpm-package can be built only if to add the following line on top of the spec-file:

%global el5 1

Could you add support for CentOS in the spec-file?

Discussion

  • lithium

    lithium - 2012-08-03

    without this (%global el5 1) line:

    • /usr/bin/python setup.py build
      ERROR: Berman need at least python 2.6 to work
     
  • lithium

    lithium - 2012-08-03

    I changed
    %if 0%{?el5}
    to
    %if 0%{?redhat} == 5 || 0%{?centos} == 5
    and it worked.
    Maybe we should make such a change in the spec-file?

     
  • Gabriele Bartolini

    • assigned_to: Marco Nenciarini

    • labels: --> rpm

     
  • Marco Nenciarini

    You should install the buildsys-macros package to have it defined. However I'll add the explicit centos5 support in the next release.

     
  • Marco Nenciarini

    • status: open --> pending
     
  • Marco Nenciarini

    I've searched but there no %{redhat} or %{centos} macro defined in my CentOS 5 test system. Could you please investigate what is the source of them in your environment?

     
  • lithium

    lithium - 2012-08-21

    Thanks for the reply. With buildsys-macros it worked. May add this in the "Requires" field (and redhat-rpm-config too)?

    Could you please investigate what is the source of them in your environment?

    I found this solution in Google, now can not remember which site.

     
    Last edit: lithium 2012-08-21
  • Gabriele Bartolini

    • status: pending --> closed
     
  • Gabriele Bartolini

    I think we can consider this ticket obsolete

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks